<?php
include ("../conexion.php"); 

include ("../funciones/fechas.php");

$dscfam=strtoupper($_POST["dscfam"]);
$accion=$_POST["accion"];
$cdgfam=$_POST["cdgfam"];
$cdgfam=sprintf("%03d",$cdgfam);


 ////////////////////////   Averigua el numero de FILAS ////////////////////////////
if ($result = $mysqli->query("SELECT * FROM familias" ) {
   $filas = $result->num_rows;
   $result->close();
}
					

	
	?>
	<script>
	

			parent.document.getElementById("form_familias").reset();
			parent.document.getElementById("form_lineas").reset();
			parent.cdgfam.disabled=false;
			parent.document.getElementById("dscfam").focus();
			parent.document.form_familias.accion.value="alta";
	
    </script>
	
	<?




?>
<html>
	<head>
		<title>Familias</title>
		<link href="../estilos/estilos.css" type="text/css" rel="stylesheet">
		<script language="javascript">
	
		
		function modificar_familia(cdgfam,dscfam) {
			
					parent.document.forms.formulario_lineas.cdgfam.value=cdgfam;
					parent.document.forms.formulario_lineas.target="frame_linea";
					parent.document.forms.formulario_lineas.action="rejilla_linea.php";
					parent.document.getElementById("formulario_lineas").submit();

		}
		
	//////////////////////////////////////  funcion anular familia //////////////////////////////////////////////////////

		
		function CambiaColor(esto,fondo,texto)
		{
			colorfondo=esto.style.background;
			esto.style.background=fondo;
			esto.style.color=texto;
			return colorfondo;
		}
		
		function CambiaColor2(esto,texto)
		{
			esto.style.background=colorfondo;
			esto.style.color=texto;
		}
		
				function nobackbutton(){	
   window.location.hash="no-back-button";	
   window.location.hash="Again-No-back-button" //chrome	
   window.onhashchange=function(){window.location.hash="no-back-button";}	
}

		
		</script>
	</head>

	<body onload= nobackbutton(); >	
		<div id="">
			<div id="zonaContenidoPP">
			<div align="center">
			<table class="fuente13" width="100%" cellspacing=0 cellpadding=0 border=0 ID="Table1">
            	<form id="formulario" name="formulario" method="post" action="">
			<input type="hidden" name="cdgfam" id="cdgfam" value="<? echo $cdgfam2?>">

				<? $iniciopagina=$_POST["iniciopagina"];
				if (empty($iniciopagina)) { $iniciopagina=$_GET["iniciopagina"]; } else { $iniciopagina=$iniciopagina-1;}
				if (empty($iniciopagina)) { $iniciopagina=0; }
				if ($iniciopagina>$filas) { $iniciopagina=0; }
					if ($filas > 0) { ?>
						<? $sel_resultado="SELECT cdgfam, dscfam FROM familias ORDER BY cdgfam DESC ";
						
						   $res_resultado=mysql_query($sel_resultado);
						   $contador=0;					   
						   while ($contador < mysql_num_rows($res_resultado)) { 

								if ($contador % 2) { $fondolinea="itemParTabla"; } else { $fondolinea="itemImparTabla"; }?>
								
								<tr class="<?php echo $fondolinea ?>" onMouseOver="CambiaColor(this,'#000000','#ffffff')" onMouseOut="CambiaColor2(this,'#000000')" >
                   
								<td width="8%"><? $contador+1;?></td>
							
								<td width="39%"><div align="left"><? echo mysql_result($res_resultado,$contador,"dscfam")?></div></td>	
							
								<td width="13%">&nbsp;</td>
								<td width="10%"><div align="center"><a href="#"><img src="../img/Edit_Male_User_Icon_32.png" width="25" height="25" border="0" onClick="modificar_familia('<?php echo mysql_result($res_resultado,$contador,"cdgfam")?>', '<?php echo mysql_result($res_resultado,$contador,"dscfam")?>')" title="Modificar"></a></div></td>
								<td width="14%">&nbsp;</td>
						</tr>
						</tr>	
						<? $contador++;
							}
						?>			
					</table>
					<? } else { ?>
					<table class="fuente8" width="87%" cellspacing=0 cellpadding=3 border=0>
						<tr>
							<td width="100%" class="mensaje"><?php echo $fechainicio; echo $fechafin; echo "No hay ninguna Familia registrada ";?></td>
					    </tr>
					</table>		
                    	</form>			
					<? } ?>					
				</div>
			</div>
		  </div>			
		</div>
	</body>
</html>

	